File: changelog

package info (click to toggle)
mumps 5.1.2-5
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 15,704 kB
  • sloc: fortran: 310,672; ansic: 12,364; xml: 521; makefile: 469
file content (217 lines) | stat: -rw-r--r-- 7,785 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
mumps (5.1.2-5) unstable; urgency=medium

  * Team upload.
  * debian/Makefile.*.inc: get OPTF, OPTL, OPTC from dpkg-buildflags.
    This should make debug symbols usable.
  * debian/Makefile.*.inc: remove `-I/usr/include/mpi` from compiler flags.
    This caused compiler warnings as the directory does not exist.
  * debian/rules: remove redundant `--parallel` option from `dh`
    invocation.  Building in parallel is already the default since
    debhelper 10.
  * debian/control: update Vcs-* fields
  * debian/control: remove newline from uploader name

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 18 Mar 2019 09:17:24 +0100

mumps (5.1.2-4) unstable; urgency=medium

  * Team upload.
  * link scalapack using MUMPS_MPI not openmpi (could be mpich)

 -- Drew Parsons <dparsons@debian.org>  Mon, 25 Dec 2017 07:10:24 +1100

mumps (5.1.2-3) unstable; urgency=medium

  * Team upload.
  * use mpicc, mpifort to build parallel MUMPS (and PTScotch support)
    rather than using pkg-config mpi-fort, since mpi-fort.pc is not
    available for mpich builds (m68k,sh4). Closes: #884939.

 -- Drew Parsons <dparsons@debian.org>  Sun, 24 Dec 2017 23:52:28 +1100

mumps (5.1.2-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.1.2

 -- Drew Parsons <dparsons@debian.org>  Tue, 19 Dec 2017 14:19:01 +0800

mumps (5.1.2-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
  * List OpenBLAS and ATLAS as alternative Build-Deps to provide BLAS
    and LAPACK.
  * Standards-Version: 4.1.1
  * debian/rules: create ./lib at build time, needed for build and
    present in upstream tarball, but not imported by gbp. 
  * debian/control: Priority: optional not extra

 -- Drew Parsons <dparsons@debian.org>  Wed, 29 Nov 2017 21:40:31 +0800

mumps (5.1.1-3) unstable; urgency=medium

  * Team upload.
  * Update for scalapack 2.0. It now includes BLACS, so
    remove explicit blacs dependencies.
  * Standards-Version: 4.1.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Sep 2017 09:04:21 +0800

mumps (5.1.1-2) unstable; urgency=medium

  * Team upload.
  * Add copyright details for src/ana_orderings.F
    (LGPL/CeCill-C/BSD-3). Closes: #859492.
  * Standards-Version: 4.0.0
  * debhelper compatibility level 10

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Jul 2017 16:18:20 +0800

mumps (5.1.1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version. Closes: #825824.
    - copyright now licenced under CeCILL-C
  * Standards-Version: 3.9.8
  * Place libs in multiarch subdirs. Build-Depends: dh-exec (>=0.3).

 -- Drew Parsons <dparsons@debian.org>  Wed, 29 Mar 2017 21:17:12 +0800

mumps (4.10.0.dfsg-4) unstable; urgency=medium

  * Team upload.
  * Stop calling directly quilt, drop build-dep.
  * Run wrap-and-sort.
  * Fix FTBFS with openmpi 1.10.  Closes: #813791
  * Remove debian/README.source as now useless.
  * Bump debhelper compat level to 9 and use the dh sequencer.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Canonicalize Vcs-* fields, use https.
  * Use copyright-format 1.0 as finalized.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 06 Feb 2016 18:44:41 +0000

mumps (4.10.0.dfsg-3) unstable; urgency=low

  * Added quilt to Build-Depends, seems to be necessary after all.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Fri, 30 Dec 2011 13:18:36 -0500

mumps (4.10.0.dfsg-2) unstable; urgency=low

  * Using debhelper quilt commands in clean and build-arch (closes: #653032).
  * Removed unnecessary quilt Build-Dependency.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Fri, 23 Dec 2011 10:32:40 -0500

mumps (4.10.0.dfsg-1) unstable; urgency=low

  * New upstream (closes: #652909).
  * Rebuild with new mpi-defaults (closes: #652314).
  * Forward-ported patches, removed now-obsolete tests-shlibs.patch, and added
    a new patch to link examples to MPI libs properly.
  * Forward-ported debian/Makefile.*.inc files.
  * Re-engineered dependencies around specific needs of each library rather
    than the over-arching $(LIB) library set.
  * Removed LAPACK dependencies, -scotch and -seq packages' ScaLAPACK and MPI
    dependencies.
  * Removed patch debian/rules target, added (empty) build-indep target, and
    completed clean target.
  * Bumped Standards-Version.
  * Changed to debian-science-maintainers maintenance with me as uploader.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 22 Dec 2011 09:56:46 -0500

mumps (4.9.2.dfsg-7) unstable; urgency=low

  * Build-Conflict with ATLAS packages (closes: #620291).
  * Added VCS to control file.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 31 Mar 2011 17:37:23 -0400

mumps (4.9.2.dfsg-6) unstable; urgency=low

  * Changed to a better MUMPS_MPI variable setting.
  * Added MPI and Scotch libraries to link with binutils-gold (closes: #604950).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Sun, 28 Nov 2010 13:07:54 -0500

mumps (4.9.2.dfsg-5) unstable; urgency=low

  * Moved libmumps-seq-dev headers to their own directory (closes: #585960).
  * Added patch target and unpatch command to clean target.
  * Bumped Standards-Version.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Sun, 21 Nov 2010 21:42:26 -0500

mumps (4.9.2.dfsg-4) unstable; urgency=low

  * Added liblapack-dev to Build-Depends and changed "-lblas-3gf -llapackgf-3"
    to "-lblas -llapack" in debian/Makefile*.inc (closes: #577003)
  * Changed from patch-based approach to library renaming to using $(PLAT), so
    libmpiseq is not shared between seq and scotch versions (closes: #577046)

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 11 Apr 2010 22:25:49 -0400

mumps (4.9.2.dfsg-3) unstable; urgency=low

  [ Christophe Trophime ]
  * Add scotch support (closes: #576291)
  * Add ptscotch support 
  * Add -llapackgf-3 to LIBLAS

  [ Adam C. Powell, IV ]
  * Versioned dependency on libptscotch-dev to make sure to get headers
  * Changed to source format 3.0 (quilt) and removed *patch rules targets
  * Clarified short descriptions of packages (closes: #576264)
  * Bumped Standards-Version

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 04 Apr 2010 23:54:36 -0400

mumps (4.9.2.dfsg-2) unstable; urgency=low

  * Fixed bad parentheses in rules ifeq lam/mpich lines (closes: #535276).
  * Added mpich2 build mechanism.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 04 Jan 2010 13:22:40 -0500

mumps (4.9.2.dfsg-1) unstable; urgency=low

  * New upstream release (closes: #554159).
  * Changed -lblas to -lblas-3gf in Makefile.*.inc (closes: #557699).
  * Linking tests to shared instead of static libs (closes: #555759).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 07 Dec 2009 17:56:51 -0500

mumps (4.8.4.dfsg-3) unstable; urgency=low

  [ Roberto C. Sanchez ]
  * Build against dummy MPI sequential library in addition to building
    against the standard MPI implementations (OpenMPI and LAM MPI).
    + Introduce new package: libmumps-seq-4.8.4
    + Introduce new package: libmumps-seq-dev
  * Add README.source noting that quilt is used to manage patches

  [ Adam C. Powell, IV ]
  * Changed -lmpi_f77 to a variable depending on MPI implementation
    (closes: #544752).
  * Bumped Standards-Version.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 01 Nov 2009 23:56:58 -0500

mumps (4.8.4.dfsg-2) unstable; urgency=low

  * Removed backslash in Build-Depends list (closes: #536917).
  * Updated debhelper Build-Depends version.
  * Updated Standards-Version.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 20 Jul 2009 09:13:11 -0400

mumps (4.8.4.dfsg-1) unstable; urgency=low

  * First package (closes: #491024).
  * Removed doc directory because there's no source for the user's guide.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 29 May 2009 12:49:55 -0400